@echo off
REM
REM !!! Load script generated by nmk-base plugin, don't edit !!!
REM

REM Remember input command, if any
set CMD_TO_RUN=%*

REM Check system dependencies
set MISSING_DEPS=0
{% for cmd in urlDeps.keys() %}call :checkSysDeps {{ cmd }} {{ urlDeps[cmd] }}
{% endfor %}

REM Something missing?
if %MISSING_DEPS% equ 1 (
    exit /b 1
)

REM Create venv if not done yet
if exist {{ venvName }}\ (
    REM Just load it
    echo Load venv
    {{ venvName }}\Scripts\Activate.bat
) else (
    REM Create it
    echo Create venv
    {{ pythonForVenv }} -m venv {{ venvName }}

    REM Load it
    {{ venvName }}\Scripts\Activate.bat
    
    REM Bootstrap it
    python -m pip install pip wheel --upgrade

    REM Install requirements (if present)
    if exist {{ venvRequirements }} (
        python -m pip install -r {{ venvRequirements }} {{ venvPipArgs }}
    ) else (
        REM Default: only install nmk
        python -m pip install nmk
    )

    REM Run command specified as parameter, if any
    %CMD_TO_RUN%
)

REM End of main
exit /b %ERRORLEVEL%

:checkSysDeps

REM Check command
echo|set /p=Check %~1 
where %~1 >nul 2>nul
if %ERRORLEVEL% equ 0 (
    REM OK, command found
    echo [OK]
) else (
    REM Not found
    echo [missing]
    echo Please install from %~2
    set MISSING_DEPS=1
)
exit /b 0

